<template>
  <div class="surface-0 p-4 m-4 shadow-2 border-round">
    <div
      class="text-3xl font-medium text-900 mb-3 flex justify-content-between"
    >
      <div>{{ name }}</div>
      <div class="flex">
        <div class="flex align-items-center">
          <Dropdown
            v-model="selectedCity"
            :options="cities"
            placeholder="Select a City"
          />
        </div>
        <div class="flex align-items-center pl-2">
          <Button @click="getWeather" label="Get Weather" />
        </div>
      </div>
    </div>
    <div style="height: 150px" class="border-2 border-dashed border-300 p-4">
      <div class="grid">
        <div class="col-12">Temperature: {{ temperature }}&#176;C</div>
        <div class="col-12">Description: {{ description }}</div>
        <div class="col-12">
          <img :src="iconUrl" alt="Weather icon" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "Home",
  data() {
    return {
      name: "",
      temperature: 0,
      description: "",
      iconUrl: "",
      selectedCity: "Manila",
      cities: ["Taguig", "Manila", "Makati", "Pasig", "New York", "London"],
    };
  },
  async created() {
    this.getWeather();
  },
  methods: {
    async getWeather() {
      const response = await axios.get(
        `https://api.openweathermap.org/data/2.5/weather?q=${this.selectedCity}&appid=96c20bd7450059c8d1ba71d6a7dc73a4`
      );
      const data = response.data;

      this.name = data.name;
      this.temperature = (data.main.temp - 273.15).toFixed(2);

      const weather = data.weather[0];
      this.description = weather.description;
      this.iconUrl = `https://openweathermap.org/img/wn/${weather.icon}.png`;
    },
  },
};
</script>

<style>
</style>